<template>
  <CCard>
    <CCardHeader>
      <div>
        <font-awesome-icon :icon="['fas', 'money-check']" />
        <strong>入札状況</strong>
      </div>
    </CCardHeader>

    <CCardBody>
      <p class="text-success">
        ご自身の入札状況です。
      </p>
      <CDataTable
        hover
        :items="data"
        :fields="FIELDS_BID_STATUS"
      >
        <template #id>
          <td>
            お酒
          </td>
        </template>

        <template #number>
          <td>
            {{ data.length }}
          </td>
        </template>

        <template #action>
          <td class="white-space-nowrap">
            <CButton size="sm" color="success">
              <font-awesome-icon :icon="['fas', 'arrow-right']" />
            </CButton>
          </td>
        </template>
      </CDataTable>
    </CCardBody>
  </CCard>
</template>

<script>
const FIELDS_BID_STATUS = [
  { key: 'id', label: 'カテゴリ', _classes: 'id' },
  { key: 'number', label: '最高額入札(総入札)数', _classes: 'number' },
  { key: 'price', label: '最高入札(総入札)金額', _classes: 'price' },
  { key: 'action', label: '明細へ', _classes: 'action' }
]

export default {
  props: {
    data: {
      type: Array,
      default: () => []
    }
  },

  computed: {
    /**
     * Get FIELDS_BID_STATUS of header table
     *
     * @return {array} FIELDS_BID_STATUS of header table
     */
    FIELDS_BID_STATUS () {
      return FIELDS_BID_STATUS
    }
  }
}
</script>
